Subject: Re: xfrm_state locking regression...

From: "Paul E. McKenney" <[email-masked]>
Date: Fri, 12 Sep 2008 10:37:50 -0700

On Sat, Sep 13, 2008 at 02:08:25AM +1000, Herbert Xu wrote:
> On Thu, Sep 11, 2008 at 03:00:06PM -0700, David Miller wrote:
> >
> > > There is only one reader at a time, right?  Otherwise, I don't see how
> > > the increments and reads of xfrm_state_walk_completed line up.
> > 
> > The RTNL semaphore is held across the modifications of the counters.
> 
> s/RTNL/xfrm_cfg_mutex/
> 
> but otherwise what Dave said :)

Thank you for the updated information, and I guess I don't feel quite
so bad about the false alarm.  ;-)

							Thanx, Paul